---
id: 68b936bf4f47d6c29a669f99
title: Step 16
challengeType: 20
dashedName: step-16
---

# --description--

Still within the `send_email` method, call the `receive_email` method of the `receiver`'s `inbox` to add email to the receiver's inbox.

# --hints--

You should add `receiver.inbox.receive_email(email)` to the `send_email` method.

```js
({
    test: () => {
        assert(runPython(`_Node(_code).find_class("User").find_function("send_email").has_stmt("receiver.inbox.receive_email(email)")`));
    }
})
```

# --seed--

## --seed-contents--

```py
class Email:
    def __init__(self, sender, receiver, subject, body):
        self.sender = sender
        self.receiver = receiver
        self.subject = subject
        self.body = body
        self.read = False

    def mark_as_read(self):
        self.read = True

class User:
    def __init__(self, name):
        self.name = name
        self.inbox = Inbox()
        
--fcc-editable-region--
    def send_email(self, receiver, subject, body):
        email = Email(sender=self, receiver=receiver, subject=subject, body=body)

--fcc-editable-region--

class Inbox:
    def __init__(self):
        self.emails = []

    def receive_email(self, email):
        self.emails.append(email)
```
